# Function runConfigurationCheck

- runConfigurationCheck(
  req: any,
  destructive?: boolean,
  app?: any,
  ): Promise<
  {
  errors: string[];
  pass: boolean;
  passes: string[];
  warnings: string[];
  },
  >

  Run Configuration check

  #### Parameters

  - req: any
  - `Optional` destructive: boolean
  - `Optional` app: any

  #### Returns Promise<
  {
  errors: string[];
  pass: boolean;
  passes: string[];
  warnings: string[];
  },
  >

  - Defined in models/config-check.ts:202